package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetAllOrgPropertiesReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgPropertyReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgsReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveOrgReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetAllOrgPropertiesResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgPropertyResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgsResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveOrgResp;

/**
 * 机构服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午3:27:55
 * @company QMTH
 * @description OrgCloudService.java
 */
public interface OrgCloudService extends CloudService {

	GetOrgResp getOrg(GetOrgReq req);

	SaveOrgResp saveOrg(SaveOrgReq orgReq);

	GetOrgsResp getOrgs(GetOrgsReq req);

	GetAllOrgPropertiesResp getAllOrgProperties(GetAllOrgPropertiesReq req);

	GetOrgPropertyResp getOrgProperty(GetOrgPropertyReq req);

}
