package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.DeleteRoleReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetPrivilegeListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveRoleReq;
import cn.com.qmth.examcloud.core.basic.api.response.DeleteRoleResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetPrivilegeListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveRoleResp;

/**
 * 角色权限云服务
 * 
 * @author WANGWEI
 *
 */
public interface RolePrivilegeCloudService extends CloudService {

	SaveRoleResp saveRole(SaveRoleReq req);

	DeleteRoleResp deleteRole(DeleteRoleReq req);

	GetPrivilegeListResp getPrivilegeList(GetPrivilegeListReq req);

}
