package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserListReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserListResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserResp;

/**
 * 学生接口服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午5:10:40
 * @company QMTH
 * @description StudentCloudService.java
 */
public interface UserCloudService extends CloudService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	AddUserResp addUser(AddUserReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetUserResp getUser(GetUserReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetUserListResp getUserList(GetUserListReq req);

}
