package cn.com.qmth.examcloud.core.basic.api.bean;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UserBean implements JsonSerializable {

	private static final long serialVersionUID = -4157068941699776174L;

	/**
	 * 用户ID
	 */
	private Long userId;

	/**
	 * 登陆名
	 */
	private String loginName;

	/**
	 * 用户名
	 */
	private String name;

	/**
	 * 显示名
	 */
	private String displayName;

	/**
	 * 顶级机构(学校)ID
	 */
	private Long rootOrgId;

	/**
	 * 顶级机构(学校)名称
	 */
	private String rootOrgName;

	/**
	 * 学习中心 ID
	 */
	private Long orgId;

	/**
	 * 学习中心名称
	 */
	private String orgName;

	/**
	 * 角色集合
	 */
	private List<RoleBean> roleList;

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public List<RoleBean> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<RoleBean> roleList) {
		this.roleList = roleList;
	}

}
