package cn.com.qmth.examcloud.marking.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.marking.api.MarkerCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkerReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkerResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @ClassName MarkerCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/20 15:47
 * @Version 3.0
 */
@Service
public class MarkerCloudServiceClient extends BasicCloudClientSupport implements MarkerCloudService {
    @Autowired
    RestTemplate restTemplate;

    @Autowired
    private RedisClient redisClient;

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    public GetMarkerResp getMarker(GetMarkerReq getMarkerReq) {
        return post("marker/getAll",getMarkerReq,GetMarkerResp.class);
    }
}
