/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-23 09:58:18.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * @author: fengdesheng
 * @since: 2018/11/15
 */
public class SyncCoursePaperBean implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程code
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 试卷ID
     */
    private String paperId;
    /**
     * 试卷名称
     */
    private String paperName;
    /**
     * 试卷P数(1P为1面，1张纸为2P)
     */
    private Integer paperP;
    /**
     * 试卷文件URL
     */
    private String paperFileUrl;
    /**
     * 答案文件URL
     */
    private String answerFileUrl;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Integer getPaperP() {
        return paperP;
    }

    public void setPaperP(Integer paperP) {
        this.paperP = paperP;
    }

    public String getPaperFileUrl() {
        return paperFileUrl;
    }

    public void setPaperFileUrl(String paperFileUrl) {
        this.paperFileUrl = paperFileUrl;
    }

    public String getAnswerFileUrl() {
        return answerFileUrl;
    }

    public void setAnswerFileUrl(String answerFileUrl) {
        this.answerFileUrl = answerFileUrl;
    }

}