package cn.com.qmth.examcloud.task.api.request;

public class SyncStudentReq extends SyncBaseRequest {

	private static final long serialVersionUID = -8613202479412809385L;

	/**
	 * 学生ID
	 */
	private Long id;

	/**
	 * 学生姓名
	 */
	private String name;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 机构ID
	 */
	private Long orgId;

	/**
	 * 学习中心编码
	 */
	private String orgCode;

	/**
	 * 学习中心名称
	 */
	private String orgName;

	/**
	 * 学生code
	 */
	private String studentCode;

	/**
	 * 身份证号码
	 */
	private String identityNumber;

	/**
	 * 图片地址
	 */
	private String photoPath;

	/**
	 * 手机号码
	 */
	private String phoneNumber;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	/**
	 * 安全手机号码(用于登录)
	 */
	private String securityPhone;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getPhotoPath() {
		return photoPath;
	}

	public void setPhotoPath(String photoPath) {
		this.photoPath = photoPath;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getSecurityPhone() {
		return securityPhone;
	}

	public void setSecurityPhone(String securityPhone) {
		this.securityPhone = securityPhone;
	}

}
