package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

public class LoginReq extends BaseRequest {

	private static final long serialVersionUID = 79813981418301573L;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 域名
	 */
	private String domain;

	/**
	 * 登陆账号类型
	 */
	private String accountType;

	/**
	 * 登陆账号值
	 */
	private String accountValue;

	/**
	 * 密码
	 */
	private String password;

	/**
	 * 客户端IP
	 */
	private String clientIp;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getAccountValue() {
		return accountValue;
	}

	public void setAccountValue(String accountValue) {
		this.accountValue = accountValue;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getClientIp() {
		return clientIp;
	}

	public void setClientIp(String clientIp) {
		this.clientIp = clientIp;
	}

}
