package cn.com.qmth.examcloud.marking.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.marking.api.MarkResultCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkResultReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkResultResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @ClassName MarkResultCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/27 9:16
 * @Version 3.0
 */
@Service
public class MarkResultCloudServiceClient extends BasicCloudClientSupport implements MarkResultCloudService {
    @Autowired
    RestTemplate restTemplate;

    @Autowired
    private RedisClient redisClient;

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    public GetMarkResultResp getMarkResult(GetMarkResultReq req) {
        return post("markResult/getMarkResult",req,GetMarkResultResp.class);
    }
}
