package cn.com.qmth.examcloud.marking.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.marking.api.StudentPaperCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetStudentPaperReq;
import cn.com.qmth.examcloud.marking.api.response.GetStudentPaperResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

/**
 * @ClassName StudentPaperCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/20 18:25
 * @Version 3.0
 */
public class StudentPaperCloudServiceClient extends BasicCloudClientSupport implements StudentPaperCloudService {

    private static final long serialVersionUID = -8711706052966399720L;

    @Autowired
    RestTemplate restTemplate;

    @Autowired
    private RedisClient redisClient;

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    public GetStudentPaperResp getStudentPaper(GetStudentPaperReq req) {
        return post("studentPaper/getPaper",req,GetStudentPaperResp.class);
    }
}
