package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamScoreDataResp;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月15日 下午4:16:08
 * @company 	QMTH
 * @description 考试记录，学生信息，分数信息等数据查询接口
 */
public interface ExamScoreDataCloudService  extends CloudService{

	/**
	 * 根据scoreId查询考试记录，学生信息，分数信息等数据
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByScoreId(FindExamScoreDataReq findExamScoreDataReq);
	
	/**
	 * examId
	 * studentCode
	 * 考试记录，学生信息，分数信息等数据查询
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByExamIdAndStudentCode(FindExamScoreDataReq findExamScoreDataReq);
}
