package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

public class ExamRecordForMarkingBean implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6044709807109039873L;

	private Long id;
	
	/**
	 * 考试ID
	 */
	private Long examId;
	/**
	 * 考试记录ID
	 */
	private Long examRecordDataId;
	
	/**
	 * 原始试卷ID
	 */
	private String basePaperId;
	
	/**
	 * 课程Id
	 */
	private Long courseId;
	/**
	 * 试卷类型 A、B、O
	 */
	private String paperType;
	/**
	 * 考生ID
	 */
	private Long examStudentId;
	
	/**
	 * 客观分总分
	 */
	private Double objectiveScore;
	
	/**
	 * 文件路径:离线考试
	 */
	private String offlineFileUrl;
	/**
	 * 文件名称:离线考试
	 */
	private String offlineFileName; 

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getBasePaperId() {
		return basePaperId;
	}

	public void setBasePaperId(String basePaperId) {
		this.basePaperId = basePaperId;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public String getOfflineFileUrl() {
		return offlineFileUrl;
	}

	public void setOfflineFileUrl(String offlineFileUrl) {
		this.offlineFileUrl = offlineFileUrl;
	}

	public String getOfflineFileName() {
		return offlineFileName;
	}

	public void setOfflineFileName(String offlineFileName) {
		this.offlineFileName = offlineFileName;
	}
	
}
