package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import java.util.Date;


import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * @author  	chenken
 * @date    	2018年10月15日 下午5:25:08
 * @company 	QMTH
 * @description 供exchange使用
 */
public class ExamRecordForSelectScore implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 3412182254208531252L;

	private Long examRecordDataId;
	
	private Long rootOrgId;
	
	private Long examStudentId;
	
	  /**
     * 考试开始时间
     */
    private Date startTime;
    /**
     * 考试结束时间
     */
    private Date endTime;
    /**
     * 考试被清理时间
     */
    private Date cleanTime;
    /**
     * 是否异常数据
     */
    private Boolean isWarn;
    /**
     * 是否被审核过
     */
    private Boolean isAudit;
    /**
     * 是否违纪
     */
    private Boolean isIllegality;
    
    private String status;
    
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getExamStudentId() {
		return examStudentId;
	}
	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	public Date getCleanTime() {
		return cleanTime;
	}
	public void setCleanTime(Date cleanTime) {
		this.cleanTime = cleanTime;
	}
	public Boolean getIsWarn() {
		return isWarn;
	}
	public void setIsWarn(Boolean isWarn) {
		this.isWarn = isWarn;
	}
	public Boolean getIsAudit() {
		return isAudit;
	}
	public void setIsAudit(Boolean isAudit) {
		this.isAudit = isAudit;
	}
	public Boolean getIsIllegality() {
		return isIllegality;
	}
	public void setIsIllegality(Boolean isIllegality) {
		this.isIllegality = isIllegality;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
}
