package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.api.OeExamRecordForMarkingCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.SaveExamRecordForMarkingReq;

@Service
public class OeExamRecordForMarkingCloudServiceClient extends BasicCloudClientSupport  implements OeExamRecordForMarkingCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8762454977750448054L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	public void saveExamRecordForMarking(SaveExamRecordForMarkingReq req) {
		post("examRecordForMarking/saveExamRecordForMarking", req);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
