package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;

@Service("oeStudentExamRecordCloudService")
public class OeStudentExamRecordCloudServiceClient extends BasicCloudClientSupport implements OeStudentExamRecordCloudService{

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	public void cleanExamRecords() {
		post("examRecord/cleanExamRecords", null, null);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
