package cn.com.qmth.examcloud.core.questions.api.request;

import java.util.Map;
import java.util.Set;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;
import cn.com.qmth.examcloud.core.questions.api.bean.PaperK12Bean;

/**
 * @author 		weiwenhai
 * @date 		2018.8.28
 * @company		qmth
 * @describle	调卷规则远程调用请求单个试题对象
 */
public class GetQuestionListReq extends BaseRequest{

	private static final long serialVersionUID = 1144609601403987883L;
	
	/**
	 * 试题id集合
	 */
	private Set<String> questionIds;
	
	/**
	 * K12需要对象
	 */
	private Map<String, PaperK12Bean> map;
	
	/**
	 * 试卷名称
	 */
	private String name;
	
	private String orgId;
	
	private String userName;

	public Set<String> getQuestionIds() {
		return questionIds;
	}

	public void setQuestionIds(Set<String> questionIds) {
		this.questionIds = questionIds;
	}

	public Map<String, PaperK12Bean> getMap() {
		return map;
	}

	public void setMap(Map<String, PaperK12Bean> map) {
		this.map = map;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
	
}
